Qore WebUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Class List
Here are the classes, structs, unions and interfaces with brief descriptions:
[detail level 1 2]

Qore |
WebUtil | WebUtil namespace contains all the objects in the WebUtil module
FileHandler | This class serves files from the file system based on a root location
FileTemplate | Manages a template resource that may need to be recompiled if the file is updated in the filesystem; used by WebUtil::TemplateFileManager
StaticTemplateManager | A container for holding static text templates (ie that do not change once created in the template manager) with mixed text and Qore code
TemplateFileManager | This class manages templates based on files
TextTemplateBase | This is the base class for all template Program container classes